TYPO3 Core - Bug #55314

TableListViewHelper - pagination moves to List module

2014-01-24 18:51 - Marcin Sagol

Status: Closed Start date: 2014-01-24
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Fluid Estimated time: 0.00 hour
Target version: 6.2.0

TYPO3 Version: 6.2 Complexity:

PHP Version: 5.5 Is Regression: No

Tags: Sprint Focus:

Description

Fluid offers experimental TableListViewHelper. For simple use in backend modules it works fine except that the pagination moves
user from selected backend module to List module. | think pagination should work "inside" current module without redirecting to List.

Related issues:

Related to TYPO3 Core - Bug #58257: Not possible to close just localized record

Closed 2014-04-27

Associated revisions

Revision 344c6cc4 - 2014-04-15 03:34 - Marcin Sagol

[TASK] Remove hardcoded module name in AbstractDatabaseRecordList

TYPOS Fluid offers view helper TableListViewHelper to generate
records list in backend modules. When pagination is rendered
for this list all links (previous, next etc.) redirect to

List module but they should point to current backend module.
Reason of this behaviour is hardcoded module name in listURL()
function.

This patch replaces hardcoded module name with the M
parameter from GET array. Extbase modules require also
controller and action name in url's so all GET params

are merged with this defined in listURL() function. We are
using all GET params because module might require more
than controller and action name for other elements than
records list.

Resolves: #55314

Releases: 6.2

Change-Id: 1706cf99838620c961e1b3f7af667d0c6bad47077
Reviewed-on: https://review.typo3.org/27049

Reviewed-by: Stefan Neufeind

Reviewed-by: Alexander Opitz

Tested-by: Alexander Opitz

Reviewed-by: Markus Klein

Tested-by: Markus Klein

Revision b07ccf8f - 2014-04-28 15:58 - Markus Klein
[BUGFIX] Remove GET parameters from URLs in List module
DatabaseRecordList (List module) generates returnUrls for localization

links. These must not contain the 'justLocalized' parameter, as this
would cause redirects to edit form over and over again.

This fix removes the inclusion of all the GET parameters - introduced
with #55314 - again. Only the module parameter is used from GET/POST.
Additional API enables extbase plugins to add necessary parameters.

The TableListViewHelper does not need any more parameters besides
the module name and hence still works after this patch.

Resolves: #58257
Related: #55314
https://review.typo3.org/27049

Releases: 6.2

Change-Id: 1641e4ce37e48c9eadf9aabce4 1b11d8f824bf64d
Reviewed-on: https://review.typo3.org/29701

Reviewed-by: Marc Bastian Heinrichs

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

Reviewed-by: Wouter Wolters

History

#1 - 2014-01-24 22:18 - Marcin Sagol

In /typo3/sysext/recordlist/Classes/RecordList/AbstractDatabaseRecordList.php we have function listURL() and there is hardcoded module name/id:

return BackendUtility::getModuleUrl('web_list', $urlParameters);

This module ID should by dynamic and points to current active module or configurable.

Extbase modules also require action and controller and this values should be also included in $urlParameters

#2 - 2014-01-25 00:37 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27049

#3 - 2014-01-25 19:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27049

#4 - 2014-02-05 18:28 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27049

#5 - 2014-02-05 18:52 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27049

#6 - 2014-02-05 18:54 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27049

#7 - 2014-02-05 19:37 - Markus Klein

- File soee_test tablelist_vh.zip added

#8 - 2014-03-26 22:47 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27049

#9 - 2014-04-15 04:30 - Anonymous
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 344c6cc493d705fd687bc760e4d95229d45d549a.

#10 - 2017-10-23 21:41 - Riccardo De Contardi

- Status changed from Resolved to Closed

Files
soee_test_tablelist_vh.zip 645 KB 2014-02-05 Markus Klein
